Subject: bug#22997: 25.0.50; reusing windows in pop-to-buffer while in completion-in-region-mode opens new frames

From: João Távora <[email-masked]>
Date: Wed, 2 Dec 2020 12:44:26 +0000

On Wed, Dec 2, 2020 at 12:37 PM Lars Ingebrigtsen <[email-masked]> wrote:

Hi Lars,

> surely Emacs doesn't pop up a new frame on
> pop-to-buffer without further customisation?

When pop-to-buffer finds itself in a tight spot (no space on current frame),
I think it will/would in certain situations pop a new frame.

> So is there something
> missing in the recipe, or has the bug just gone away over the years?

I have a vague recollection that the recipe was accurate, and eventually
something in window.el was fixed, by me or Martin or both.  Likely I
forgot to x-ref the bug id.  If you can't reproduce it, I think you should
just close this bug.

Hey, I found commit 5d34e1b2881caa5743816030c2e9cdcda58e9719
that looks relevant.

João